Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
device_generic_hid.h File Reference

Management of the USB device mouse HID task. More...

`#include <inttypes.h>`
`#include "conf_usb.h"`
`#include "uniprot.h"`

Go to the source code of this file.

## Macros
#define | DEVICE_GENERIC_HID_SUPPORT_UNIPROT 1
| Allow enable or disable uniprot support Options: 0 (disabled), 1 (enabled) More...
#define | DEVICE_GENERIC_HID_UNIPROT_PIPE 0
#define | UNI_PIPE0_FRAME_SIZE 8
| Define frame size (number of bytes per one transmission) More...
#define | UNI_PIPE0_FUNC_INIT device_generic_HID_init(UAC1_EP_HID_RX, UAC1_EP_HID_TX)
| Initialize function which will be called in initialization process. More...
#define | UNI_PIPE0_FUNC_TASK device_generic_hid_task()
| Driver task. More...

## Functions
void | device_generic_HID_init (U8 ep_hid_rx, U8 ep_hid_tx)
void | device_generic_hid_task (void)
| Entry point of the device gneric HID task management. More...

## Detailed Description

Management of the USB device mouse HID task.

This file manages the USB device mouse HID task.

- Compiler: IAR EWAVR32 and GNU GCC for AVR32
- Supported devices: All AVR32 devices with a USB module can be used.
- AppNote:

Author
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

## Macro Definition Documentation

#define DEVICE_GENERIC_HID_SUPPORT_UNIPROT 1

Allow enable or disable uniprot support Options: 0 (disabled), 1 (enabled)

#define DEVICE_GENERIC_HID_UNIPROT_PIPE 0

Define pipe number for uniprot (Pipe order is defined in uniprot.h file) by UNI_PIPEx_FRAME_SIZE, UNI_PIPEx_FUNC_INIT and UNI_PIPEx_FUNC_TASK where "x" is pipe number which must be same here!

#define UNI_PIPE0_FRAME_SIZE 8

Define frame size (number of bytes per one transmission)

#define UNI_PIPE0_FUNC_INIT device_generic_HID_init(UAC1_EP_HID_RX, UAC1_EP_HID_TX)

Initialize function which will be called in initialization process.

#define UNI_PIPE0_FUNC_TASK device_generic_hid_task()

Driver task.

## Function Documentation

void device_generic_HID_init | ( | U8 | ep_hid_rx,
|  | U8 | ep_hid_tx
| ) |  |

void device_generic_hid_task | ( | void | ) |  |

Entry point of the device gneric HID task management.